<?php
/**
 * @version		1.0.5
 * @package		Joomla
 * @subpackage	Edocman
 * @author  Tuan Pham Ngoc
 * @copyright	Copyright (C) 2011 Ossolution Team
 * @license		GNU/GPL, see LICENSE.php
 */

// no direct access
defined('_JEXEC') or die;

// Include the component HTML helpers.
JHtml::addIncludePath(JPATH_COMPONENT.'/helpers/html');

// Load the tooltip behavior.
JHtml::_('behavior.tooltip');
JHtml::_('behavior.formvalidation');
JHtml::_('behavior.keepalive');
?>

<script type="text/javascript">	
	function submitDocument() 
	{
		if(document.formvalidator.isValid(document.id('item-form'))) 
		{
			<?php //echo $this->form->getField('description')->save(); ?>
			<?php echo $this->form->getField('short_description')->save(); ?>
			Joomla.submitform('document.save', document.getElementById('item-form'));
		}
		else 
		{
			alert('<?php echo $this->escape(JText::_('JGLOBAL_VALIDATION_FORM_FAILED'));?>');
		}		
	}	
	function cancelSubmit() 
	{
		var form = document.getElementById('item-form') ;		
		form.task.value = 'document.cancel' ;		
		form.submit() ;
	}	
</script>
			
<?php
$config = EdocmanHelper::getConfig();
?>

<form action="<?php echo JRoute::_('index.php?option=com_edocman&layout=edit&id='.(int) $this->item->id); ?>" method="post" name="adminForm" id="item-form" class="form-validate" enctype="multipart/form-data">	
	<table class="adminform" width="100%">		
		<tr>
			<td valign="top" width="80%">
				<table width="100%">
					<tr>
            			<td class="edocman_title_col">
            				<?php echo $this->form->getLabel('title'); ?>
            			</td>
            			<td class="edocman_field_cell">
            				<?php echo $this->form->getInput('title'); ?>		
            			</td>
            		</tr>
            		<tr>
            			<td class="edocman_title_col">
            				<?php echo $this->form->getLabel('alias'); ?>
            			</td>
            			<td class="edocman_field_cell">
            				<?php echo $this->form->getInput('alias'); ?>		
            			</td>
            		</tr>
            		<tr>
            			<td class="edocman_title_col">
            				<?php echo $this->form->getLabel('category_id'); ?>
            			</td>
            			<td class="edocman_field_cell">
            				<?php echo $this->form->getInput('category_id'); ?>		
            			</td>
            		</tr>
            		
            		<tr>
            			<td class="edocman_title_col">
            				<?php echo $this->form->getLabel('url'); ?>
            			</td>
            			<td class="edocman_field_cell">
            				<?php echo $this->form->getInput('url'); ?>		
            			</td>
            		</tr>
            		
            		<tr>
            			<td class="edocman_title_col">
            				<?php echo $this->form->getLabel('created_time'); ?>
            			</td>
            			<td class="edocman_field_cell">
            				<?php echo $this->form->getInput('created_time'); ?>		
            			</td>
            		</tr>
            		
            		<tr>
            			<td class="edocman_title_col">
            				<?php echo $this->form->getLabel('filename'); ?>
            			</td>
            			<td class="edocman_field_cell">
            				<?php echo $this->form->getInput('filename'); ?>	
            				<?php if ($this->item->id) {
                                        ?>
                                        	<span style="padding-top: 3px; display: block;">
                                        <?php
                                        if ($this->item->original_filename) {
                                            echo JText::_('Current File : ');                                    
                                        ?>
                                        	<a href="<?php echo JURI::root().'index.php?option=com_edocman&task=document.download&id='.$this->item->id; ?>&Itemid=<?php echo EdocmanHelper::getItemid(); ?>"><?php echo $this->item->original_filename ; ?></a>
                                        <?php        
                                        }      
                                        ?>
                                        	</span>
                                        <?php
                                    }
        						?>	
            			</td>
            		</tr>
            		
            		<?php
            		if($config->show_thumb)
            		{?>
	            		<tr>
	            			<td class="edocman_title_col">
	            				<?php echo $this->form->getLabel('image'); ?>
	            			</td>
	            			<td class="edocman_field_cell">
	            				<?php echo $this->form->getInput('image'); ?>		
	            			</td>
	            		</tr><?php
            		}?>
            		
            		<tr>
            			<td class="edocman_title_col">
            				<?php echo $this->form->getLabel('document_url'); ?>
            			</td>
            			<td class="edocman_field_cell">
            				<?php echo $this->form->getInput('document_url'); ?>		
            			</td>
            		</tr>
            			
            		<tr>
            			<td class="edocman_title_col">
            				<?php echo $this->form->getLabel('access'); ?>
            			</td>
            			<td class="edocman_field_cell">
            				<?php echo $this->form->getInput('access'); ?>		
            			</td>
            		</tr>
            		
            		<tr>
            			<td class="edocman_title_col">
            				<?php echo $this->form->getLabel('license'); ?>
            			</td>
            			<td class="edocman_field_cell">
            				<?php echo $this->form->getInput('license'); ?>		
            			</td>
            		</tr>
            		
            		<tr>
            			<td class="edocman_title_col">
            				<?php echo $this->form->getLabel('published'); ?>
            			</td>
            			<td class="edocman_field_cell">
            				<?php echo $this->form->getInput('published'); ?>		
            			</td>
            		</tr>				
            		
            		<tr>
            			<td class="edocman_title_col">
            				<?php echo $this->form->getLabel('metadesc'); ?>
            			</td>
            			<td class="edocman_field_cell">
            				<?php echo $this->form->getInput('metadesc'); ?>		
            			</td>
            		</tr>
            		
            		<tr>
            			<td class="edocman_title_col">
            				<?php echo $this->form->getLabel('metakey'); ?>
            			</td>
            			<td class="edocman_field_cell">
            				<?php echo $this->form->getInput('metakey'); ?>		
            			</td>
            		</tr>		
            		<tr>
            			<td colspan="2">
            				<?php echo $this->form->getLabel('short_description'); ?>
                        	<div class="clr"></div>
                        	<?php echo $this->form->getInput('short_description'); ?>
                        	<div class="clr"></div>
            			</td>
            		</tr>					
				</table>
			</td>
			<td  style="float: left;">
				<input type="button" class="button" onclick="cancelSubmit();" value="<?php echo JText::_('Cancel'); ?>" />
				<input type="button" class="button" onclick="submitDocument();" value="<?php echo JText::_('Submit'); ?>"  />
			</td>
		</tr>					
	</table>			
	<input type="hidden" name="task" value="" />
	<?php echo JHtml::_('form.token'); ?>	
</form>